Last modified: 2013-10-29 05:09:23 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 22921 - New namespaces and aliases for ml.wikibooks
New namespaces and aliases for ml.wikibooks
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Normal normal with 1 vote (vote)
: ---
Assigned To: Rob Halsell
http://ml.wikibooks.org
: shell
Depends on:
Blocks: 56295
  Show dependency treegraph
 
Reported: 2010-03-22 15:49 UTC by Junaid
Modified: 2013-10-29 05:09 UTC (History)
12 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Junaid 2010-03-22 15:49:20 UTC
We need following two new namespaces at http://ml.wikibooks.org, they are:
'പാചകപുസ്തകം' (Cookbook) and 'വിഷയം' (Subject)
also their respective talk parts
'പാചകപുസ്തകസം‌വാദം' (Cookbook talk) and 'വിഷയസം‌വാദം' (Subject talk)

then, we need following aliases with some priority
'Wikibooks' => NS_PROJECT,
'Wikibooks talk' => NS_PROJECT_TALK,
'Cookbook' => 'പാചകപുസ്തകം'
'Cookbook talk' => 'പാചകപുസ്തകസം‌വാദം'
'Subject' => 'വിഷയം'
'Subject talk' => 'വിഷയസം‌വാദം'

and following aliases with lesser priority
'വി' => NS_PROJECT,
'വിസം' => NS_PROJECT_TALK,
'ഉ' => NS_USER,
'ഉസം' => NS_USER_TALK,
'പ്ര' => NS_IMAGE,
'പ്രസം' => NS_IMAGE_TALK,
'ഫ' => NS_TEMPLATE,
'ഫസം' => NS_TEMPLATE_TALK,
'വ' => NS_CATEGORY,
'വസം' => NS_CATEGORY_TALK,
'സ' => NS_HELP,
'സസം' => NS_HELP_TALK,
Comment 1 Sam Reed (reedy) 2010-03-22 15:51:02 UTC
Please post a link to community consensus for this change
Comment 2 atjesse 2010-03-22 17:03:00 UTC
I'm an admin in the same wiki and I think these namespaces are essential for our further developments..
Comment 3 Sam Reed (reedy) 2010-03-22 19:12:48 UTC
Maybe so, but it's standard practise to have on wiki approval for any changes
Comment 4 Jyothis Edathoot 2010-03-23 02:08:52 UTC
I have just voted for this. I am the 'crat for this project and a current Steward. Thanks. Junaid will provide the link to the page if required when he is around.
Comment 6 Sam Reed (reedy) 2010-03-23 07:20:19 UTC
Cheers. Just ties up as a paper trail for the sysops

Marking +shell
Comment 7 JeLuF 2010-05-17 20:11:02 UTC
Done.
===================================================================
Index: InitialiseSettings.php
===================================================================
--- InitialiseSettings.php	(revision 758)
+++ InitialiseSettings.php	(working copy)
@@ -1972,6 +1972,24 @@
     'mlwikibooks' => array(
     	'വിക്കി‌‌_പുസ്തകശാല' => NS_PROJECT,
     	'വിക്കി‌‌_പുസ്തകശാല_സംവാദം' => NS_PROJECT_TALK,
+    	'Wikibooks' => NS_PROJECT,
+		'Wikibooks_talk' => NS_PROJECT_TALK,
+		'Cookbook' => 100,
+		'Cookbook_talk' => 101,
+		'Subject' => 102,
+		'Subject_talk' => 103,
+		'വി' => NS_PROJECT,
+		'വിസം' => NS_PROJECT_TALK,
+		'ഉ' => NS_USER,
+		'ഉസം' => NS_USER_TALK,
+		'പ്ര' => NS_IMAGE,
+		'പ്രസം' => NS_IMAGE_TALK,
+		'ഫ' => NS_TEMPLATE,
+		'ഫസം' => NS_TEMPLATE_TALK,
+		'വ' => NS_CATEGORY,
+		'വസം' => NS_CATEGORY_TALK,
+		'സ' => NS_HELP,
+		'സസം' => NS_HELP_TALK,
     ),
     'mlwiktionary' => array(
         'Wiktionary' => NS_PROJECT,
@@ -4120,6 +4138,12 @@
         104 => 'თარო', # bookshelf
         105 => 'თარო_განხილვა', # bookshelf talk
     ),
+    'mlwikibooks' => array(
+    	100 => 'പാചകപുസ്തകം',		// Cookbook
+    	101 => 'പാചകപുസ്തകസം‌വാദം',
+    	102 => 'വിഷയം',				// Subject
+    	103 => 'വിഷയസം‌വാദം',
+    ),
     'mswikibooks' => array(
         100 => 'Resipi',
         101 => 'Perbualan Resipi',

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links